[changes]
* Native boolean type of PostgreSQL database supported.
* When no default configuration can be found, the temporary fallback configuration now has the remote interface activated to keep access to the server alive.
* All images having the same image key are now considered as the same image in Viewer and in PDF-Export. Therefore only the first image will be rendered.
* The mirroring of the report layout for RTL languages like Arabic respect also subreports and charts now.

### i-net Designer
* In the category "Visual Database Wizard" of the Report Wizard it is now possible to add a new command with drag&drop.
* Database Wizard: "Edit Connection" button added.

### Ad Hoc Reporting
* The embedded ad hoc web GUI now supports opening the help panel programmatically in addition to being opened by the user.
* The ability of the remote Designer to open and run reports from a repository no longer depends on the activation of the ad hoc service.

### Configuration Manager
* Formula authentication can now be used with login type "External Webserver".

### Setup
* MySQL Connector/J has been updated to version 5.1.13.
* JDBC driver for PostgreSQL added.
* The remote interface is enabled for a remote installation (package installation) by default.rect

[changes:de]
* Nativer boolescher Typ der PostgreSQL-Datenbank wird unterstützt.
* Wenn keine Standardkonfiguration gefunden werden kann, ist in der temporären Fallback-Konfiguration jetzt die Remote-Schnittstelle aktiviert, um den Zugriff auf den Server aufrechtzuerhalten.
* Alle Bilder mit dem gleichen Bildschlüssel werden nun im Viewer und im PDF-Export als das gleiche Bild betrachtet. Daher wird nur noch das erste Bild gerendert.
* Die Spiegelung des Report-Layouts für RTL-Sprachen wie Arabisch berücksichtigt nun auch Subreports und Charts.

### i-net Designer
* In der Kategorie "Visueller Datenbank-Assistent" des Report-Assistenten ist es nun möglich, einen neuen Befehl per Drag&Drop hinzuzufügen.
* Datenbank-Assistent: Schaltfläche "Verbindung bearbeiten" hinzugefügt.

### Ad-hoc-Berichterstattung
* Die eingebettete Ad-hoc-Web-GUI unterstützt nun das programmatische Öffnen des Hilfe-Panels zusätzlich zum Öffnen durch den Benutzer.
* Die Fähigkeit des Remote-Designers, Berichte aus einem Repository zu öffnen und auszuführen, hängt nicht mehr von der Aktivierung des Ad-hoc-Dienstes ab.

### Konfigurations-Manager
* Die Formelauthentifizierung kann jetzt mit dem Anmeldetyp "Externer Webserver" verwendet werden.

### Einrichtung
* MySQL Connector/J wurde auf Version 5.1.13 aktualisiert.
* JDBC-Treiber für PostgreSQL wurde hinzugefügt.
* Die Remote-Schnittstelle ist für eine Remote-Installation (Paket-Installation) standardmäßig aktiviert.rect

[bugfixes]
* Deleting a subreport link whose subreport prompt was being used in the report led to the subreport prompt not being requested in the prompt dialog even though it was necessary.	 
* A problem with the column alias used in a command occurred if the MySQL Connector 5.x was used.	 
* An endless loop occurred if a report with SQL expressions and joins was opened using i-net Designer.	 
* An OutOfMemoryError could occur if Remote Interface or Repository Browser were used heavily.
* Various special characters such as /, \\, {, etc. in formula names led to problems when renaming formulas.
* Bidirectional content with LTR and RTL mixed in one word is now displayed correctly in a DText element.
* An HR element in a field with Text Interpretation HTML(advanced) was not displayed.
* Opening and closing the property dialog of a crosstab with no rows caused a resize in the total row header.
* The changing of the table alias modifies now the chart color and other property formulas too.
* If the first call of a user defined function contains null-parameters i-net Crystal-Clear was not able to found the right method to invoke.
* HTML Text Interpretation: Image was not displayed if it was loaded via a redirect from HTTPS to HTTP.
* Using "Suppress Blank Section" with "Keep Object Together" caused sections to be suppressed even though there would have been content for the section on the next page.
* If the report was designed on the DB2 database then it was not possible to sort date groups on the database.
* In the rare case multiple summary fields with the same names but varying parameters were used in multiple formulas which were used in a crosstab, the crosstab could have issues rendering the summary.
* Endless loop occurred because of java.util.WeakHashMap, which a non-thread safe object.
* A section was suppressed, if it contains a Java Bean only and "Suppress Blank Section" was enabled.
* Problem with MySQL Connector 5.x occurred, if column aliases was used in commands containing multiple columns with the same name.
* A rare problem occurred when loading older reports from Crystal Reports 9 and before which contained multiple summaries used in formula fields. The error was "Report file not found."
* Security fix to prevent cross-site scripting (XSS).
* Fixed backwards compatibility for the usage of "true" and "false" strings as a boolean in a record selection formula on PostgreSQL database.
* Only "true" and "false" accepted as Boolean strings in a record selection formula on PostgreSQL database. Now it is case insensitiv.
* The size of crosstabs with rows and without rows was different at runtime. Therefore it could occur that 2 crosstabs have a different size at runtime, although the designed size was the same.
* Fixed a security bug which allowed a user to be partly authenticated in the system when another user opened the remote designer.
* PDF export: The length of the underline in rich HTML hyperlinks was incorrect.
* In rare cases, a background color of subreport elements was not or only once displayed, if only one background color was used for the report elements and if a background color has been set for at least one report section.
*  ClassCastException has occurred during CCcore file creation.
* The exception "Unexpected type of element class java.math.BigInteger" has occurred during export to XLS.

### i-net Crystal-Clear - Java Viewer
* Multi-value parameter fields with a single default value and "default values only" were not displayed to the user.
* When quickly resizing a report viewer there was the possibility of an IndexOutOfBoundsException due to a thread bug.
* The "password" edit mask for parameter fields was not saved correctly, causing the password mask to not be applied when prompting the fields.
* In seldom cases, a NPE could occur when fetching default values for a multi-value prompt which had null values as default values.
* When closing all report views in the report viewer there was the possibility of a NullPointerException due to a thread bug.
* With multiple value prompts containing descriptions it could occur that the description was added to the chosen values.
* The width of the margins on the printout did not match the designed margins, if the default paper size of the printer was Letter and the designed paper size was A4 and vice versa and you changed the paper size in the print dialog to the designed paper size.
* Attribut "Permissions" was missing in the manifest file of ReportViewer.jar. This is required since Java 7 update 45.

### i-net Designer
* The "Prompt Behavior" setting (configurable in the Configuration Manager) "TAKE_VALUE_FROM_DEFAULT_VALUES" did not have an effect on the designer. It now does: if this setting is in the current configuration, the designer will check for default values in prompts and not show a prompt dialog the first time a report is rendered if each prompt has a default value.
* Renaming formulas and fields to unorthodox names such as "@" or " " could cause incorrect error messages or invalid reports.
* It was not possible to change the default font style Bold of field elements in a crosstab to another style, e.g. Standard. After reopening the rpt file, the style was again set to Bold.
* In the dialog "Parameter Field Properties" it was possible to open the calendar even when the calendar button was disabled.
* Duplicated settings for minus and currency symbol position were removed.
* The progress bar of i-net Designer was not localized to other languages than English.
* Opening the sub-report linking properties using the context menu now switches to the right property dialog tab.
* Bug which didn't undo changes on the crosstab data tab on pressing the cancel button on the property dialog.
* The driver and database class names in the "Datasource Manager" category of the Options dialog were not displayed if there was no matching stylesheet for the current configuration.
* Date, time, and datetime property categories have not been displayed for row and column headers in crosstabs.
* When previewing the same report in the designer more than once, the report was rendered twice for each additional preview.
* NullPointerException occurred if the embedded i-net Designer with an open report was closed.
* Possible thread problems occurred while initializing the field browser.
* Closing and reopening the designer within the same Java VM could lead to a NullPointerException.
* The "image key" property formula was not correctly saved and loaded in reports, which meant it had to be re-entered each time a report was loaded.
* An endless loop of GUI events occurred when opening the chart properties dialog of a chart which use property formulas.
* The custom summary name in the chart was overwriten by next using of the chart properties dialog.
* Thai characters were displayed incorrectly.
* The formula dialog does not open.
* In the parameter field properties dialog it was not possible to change the type of a parameter field from time to string.
* Only the first column was added to the report, if HSQLDB was used and the SQL statement contains 2 two columns with the same name or alias from different tables.
* "Sort Options" dialog does not appear after click on button "Sort Options" in "Sorting" dialog of "Chart Properties". Instead a NullPointerException occurred.
* Attribut "Permissions" was missing in the manifest file of JNLPDesigner. This is required since Java 7 update 45.

### Ad Hoc Reporting
* The renaming of sums in reports used as templates in the ad hoc reporting was incorrect.
* Running totals were not calculated correctly in reports used as template in the ad hoc reporting.
* The Oracle thin driver and column of type timestamp with (local) time zone was not supported.
* Attribut "Permissions" was missing in the manifest file of adhoc reporting applet. This is required since Java 7 update 45.

### Configuration Manager
* When scanning a report's parameter fields, the scheduler could display values as "DefaultValue@ffffff" if the field was a multi-value prompt.
* It was not possible to use an SMTP server without authentication.

### Setup
* Message key "ApachePanel.containsCC.msg" was displayed instead of the correct error message.
* The start and stop scripts for the standalone application were not installed on Unix environments like Solaris and AS400.

[bugfixes:de]
* Das Löschen einer Unterbericht-Verknüpfung, deren Unterbericht-Eingabeaufforderung im Bericht verwendet wurde, führte dazu, dass die Unterbericht-Eingabeaufforderung im Eingabeaufforderungsdialog nicht angefordert wurde, obwohl sie notwendig war.
* Ein Problem mit dem in einem Befehl verwendeten Spaltenalias trat auf, wenn der MySQL Connector 5.x verwendet wurde.
* Eine Endlosschleife trat auf, wenn ein Bericht mit SQL-Ausdrücken und Joins mit i-net Designer geöffnet wurde.
* Ein OutOfMemoryError konnte auftreten, wenn Remote Interface oder Repository Browser stark genutzt wurden.
* Verschiedene Sonderzeichen wie /, \\, {, etc. in Formelnamen führten zu Problemen beim Umbenennen von Formeln.
* Bidirektionaler Inhalt mit LTR und RTL gemischt in einem Wort wird jetzt in einem DText-Element korrekt angezeigt.
* Ein HR-Element in einem Feld mit Textinterpretation HTML(advanced) wurde nicht angezeigt.
* Das Öffnen und Schließen des Eigenschaftsdialogs einer Kreuztabelle ohne Zeilen verursachte eine Größenänderung im Gesamtzeilenkopf.
* Das Ändern des Tabellen-Alias modifiziert nun auch die Diagrammfarbe und andere Eigenschaftsformeln.
* Wenn der erste Aufruf einer benutzerdefinierten Funktion Null-Parameter enthält, war i-net Crystal-Clear nicht in der Lage, die richtige aufzurufende Methode zu finden.
* HTML-Text-Auswertung: Ein Bild wurde nicht angezeigt, wenn es über einen Redirect von HTTPS auf HTTP geladen wurde.
* Die Verwendung von "Leeren Abschnitt unterdrücken" mit "Objekt zusammenhalten" führte dazu, dass Abschnitte unterdrückt wurden, obwohl der Inhalt des Abschnitts auf der nächsten Seite vorhanden gewesen wäre.
* Wenn der Bericht auf der DB2-Datenbank erstellt wurde, war es nicht möglich, Datumsgruppen in der Datenbank zu sortieren.
* In dem seltenen Fall, dass mehrere Zusammenfassungsfelder mit denselben Namen, aber unterschiedlichen Parametern in mehreren Formeln verwendet wurden, die in einer Kreuztabelle verwendet wurden, konnte die Kreuztabelle Probleme beim Rendern der Zusammenfassung haben.
* Eine Endlosschleife trat aufgrund von java.util.WeakHashMap auf, einem nicht Thread-sicheren Objekt.
* Ein Abschnitt wurde unterdrückt, wenn er nur eine Java Bean enthält und "Leeren Abschnitt unterdrücken" aktiviert war.
* Ein Problem mit dem MySQL Connector 5.x trat auf, wenn Spalten-Aliase in Befehlen verwendet wurden, die mehrere Spalten mit demselben Namen enthielten.
* Ein seltenes Problem trat beim Laden älterer Berichte aus Crystal Reports 9 und früher auf, die mehrere Zusammenfassungen in Formelfeldern enthielten. Der Fehler lautete "Berichtsdatei nicht gefunden"
* Sicherheitskorrektur zur Verhinderung von Cross-Site-Scripting (XSS).
* Die Abwärtskompatibilität für die Verwendung der Zeichenketten "true" und "false" als Boolean in einer Formel zur Datensatzauswahl in einer PostgreSQL-Datenbank wurde behoben.
* Nur "true" und "false" wurden als boolesche Strings in einer Datensatzauswahlformel in der PostgreSQL-Datenbank akzeptiert. Jetzt ist es case insensitiv.
* Die Größe von Kreuztabellen mit Zeilen und ohne Zeilen war zur Laufzeit unterschiedlich. Daher konnte es vorkommen, dass 2 Kreuztabellen zur Laufzeit eine unterschiedliche Größe hatten, obwohl die entworfene Größe die gleiche war.
* Es wurde ein Sicherheitsproblem behoben, durch das ein Benutzer teilweise im System authentifiziert werden konnte, wenn ein anderer Benutzer den Remote-Designer öffnete.
* PDF-Export: Die Länge der Unterstreichung in Rich-HTML-Hyperlinks war falsch.
* In seltenen Fällen wurde eine Hintergrundfarbe von Unterberichtselementen nicht oder nur einmal angezeigt, wenn nur eine Hintergrundfarbe für die Berichtselemente verwendet wurde und wenn für mindestens einen Berichtsabschnitt eine Hintergrundfarbe festgelegt wurde.
*  Bei der Erstellung einer CCcore-Datei ist eine ClassCastException aufgetreten.
* Die Ausnahme "Unerwarteter Typ der Elementklasse java.math.BigInteger" ist beim Export nach XLS aufgetreten.

### i-net Crystal-Clear - Java Viewer
* Mehrwertige Parameterfelder mit einem einzigen Standardwert und "nur Standardwerte" wurden dem Benutzer nicht angezeigt.
* Bei der schnellen Größenänderung eines Berichtsviewers konnte es aufgrund eines Thread-Bugs zu einer IndexOutOfBoundsException kommen.
* Die "Kennwort"-Bearbeitungsmaske für Parameterfelder wurde nicht korrekt gespeichert, wodurch die Kennwortmaske bei der Abfrage der Felder nicht angewendet wurde.
* In seltenen Fällen konnte ein NPE auftreten, wenn Standardwerte für eine mehrwertige Eingabeaufforderung abgerufen wurden, die Nullwerte als Standardwerte enthielt.
* Beim Schließen aller Berichtsansichten im Berichtsbetrachter konnte es aufgrund eines Thread-Bugs zu einer NullPointerException kommen.
* Bei mehrwertigen Eingabeaufforderungen mit Beschreibungen konnte es vorkommen, dass die Beschreibung zu den gewählten Werten hinzugefügt wurde.
* Die Breite der Ränder auf dem Ausdruck stimmte nicht mit den entworfenen Rändern überein, wenn das Standard-Papierformat des Druckers Letter und das entworfene Papierformat A4 war und umgekehrt und man das Papierformat im Druckdialog auf das entworfene Papierformat änderte.
* Das Attribut "Permissions" fehlte in der Manifestdatei von ReportViewer.jar. Dies ist seit Java 7 Update 45 erforderlich.

### i-net Designer
* Die "Prompt Behavior"-Einstellung (konfigurierbar im Configuration Manager) "TAKE_VALUE_FROM_DEFAULT_VALUES" hatte keine Auswirkung auf den Designer. Wenn diese Einstellung in der aktuellen Konfiguration vorhanden ist, prüft der Designer auf Standardwerte in Eingabeaufforderungen und zeigt beim ersten Rendern eines Berichts keinen Eingabeaufforderungsdialog an, wenn jede Eingabeaufforderung einen Standardwert hat.
* Das Umbenennen von Formeln und Feldern in unorthodoxe Namen wie "@" oder " " konnte zu falschen Fehlermeldungen oder ungültigen Berichten führen.
* Es war nicht möglich, die Standardschriftart Bold von Feldelementen in einer Kreuztabelle in eine andere Schriftart, z. B. Standard, zu ändern. Nach dem erneuten Öffnen der rpt-Datei war die Schriftart wieder auf Bold gesetzt.
* Im Dialog "Parameterfeldeigenschaften" war es möglich, den Kalender zu öffnen, auch wenn die Kalenderschaltfläche deaktiviert war.
* Doppelte Einstellungen für die Position von Minus- und Währungssymbolen wurden entfernt.
* Der Fortschrittsbalken des i-net Designers wurde nicht für andere Sprachen als Englisch lokalisiert.
* Das Öffnen der Verknüpfungseigenschaften von Unterberichten über das Kontextmenü wechselt nun auf die richtige Registerkarte des Eigenschaftsdialogs.
* Fehler, der die Änderungen auf der Registerkarte Kreuztabellendaten nicht rückgängig machte, wenn die Schaltfläche "Abbrechen" im Eigenschaftsdialog gedrückt wurde.
* Die Namen der Treiber- und Datenbankklassen in der Kategorie "Datenquellen-Manager" des Optionen-Dialogs wurden nicht angezeigt, wenn es kein passendes Stylesheet für die aktuelle Konfiguration gab.
* Die Eigenschaftskategorien Datum, Zeit und datetime wurden für Zeilen- und Spaltenüberschriften in Kreuztabellen nicht angezeigt.
* Wenn derselbe Bericht im Designer mehr als einmal in der Vorschau angezeigt wurde, wurde der Bericht bei jeder zusätzlichen Vorschau zweimal gerendert.
* NullPointerException trat auf, wenn der eingebettete i-net Designer mit einem geöffneten Bericht geschlossen wurde.
* Bei der Initialisierung des Feldbrowsers traten mögliche Thread-Probleme auf.
* Das Schließen und erneute Öffnen des Designers innerhalb der gleichen Java VM konnte zu einer NullPointerException führen.
* Die Formel für die Eigenschaft "Bildschlüssel" wurde in Berichten nicht korrekt gespeichert und geladen, so dass sie bei jedem Laden eines Berichts neu eingegeben werden musste.
* Beim Öffnen des Diagrammeigenschaften-Dialogs eines Diagramms, das Eigenschaftsformeln verwendet, trat eine Endlosschleife von GUI-Ereignissen auf.
* Der benutzerdefinierte Zusammenfassungsname im Diagramm wurde bei der nächsten Verwendung des Diagrammeigenschaften-Dialogs überschrieben.
* Thailändische Zeichen wurden falsch angezeigt.
* Der Formeldialog wird nicht geöffnet.
* Im Dialogfeld für die Eigenschaften von Parameterfeldern war es nicht möglich, den Typ eines Parameterfelds von Zeit auf String zu ändern.
* Nur die erste Spalte wurde dem Bericht hinzugefügt, wenn HSQLDB verwendet wurde und die SQL-Anweisung zwei Spalten mit demselben Namen oder Alias aus verschiedenen Tabellen enthält.
* der Dialog "Sortieroptionen" erscheint nicht, wenn man auf die Schaltfläche "Sortieroptionen" im Dialog "Sortierung" der "Diagrammeigenschaften" klickt. Stattdessen trat eine NullPointerException auf.
* Das Attribut "Permissions" fehlte in der Manifestdatei des JNLPDesigners. Dies ist seit Java 7 Update 45 erforderlich.

### Ad Hoc Reporting
* Die Umbenennung von Summen in Berichten, die als Vorlagen im Ad Hoc Reporting verwendet werden, war fehlerhaft.
* Laufende Summen wurden in Berichten, die im Ad-hoc-Reporting als Vorlage verwendet wurden, nicht korrekt berechnet.
* Der Oracle Thin-Treiber und Spalten vom Typ Timestamp mit (lokaler) Zeitzone wurden nicht unterstützt.
* Das Attribut "Permissions" fehlte in der Manifestdatei des Ad-hoc-Berichts-Applets. Dies ist seit Java 7 Update 45 erforderlich.

### Konfigurations-Manager
* Beim Scannen der Parameterfelder eines Berichts konnte der Scheduler Werte als "DefaultValue@ffffff" anzeigen, wenn das Feld eine mehrwertige Eingabeaufforderung war.
* Es war nicht möglich, einen SMTP-Server ohne Authentifizierung zu verwenden.

### Einrichtung
* Der Nachrichtenschlüssel "ApachePanel.containsCC.msg" wurde anstelle der korrekten Fehlermeldung angezeigt.
* Die Start- und Stopp-Skripte für die Standalone-Anwendung wurden auf Unix-Umgebungen wie Solaris und AS400 nicht installiert.

[security]

[security:de]
